package engine

import (
	"github.com/imkira/go-observer"
	"net/http"
	"sirlab.de/go/knyt/syncdata"
	"sync"
)

type HandleFunc func(http.ResponseWriter, *http.Request)
type PopulateSyncDataCb func(*syncdata.SyncData)

type Engine struct {
	mu         sync.Mutex
	versionRef int
	obs        observer.Property
	notify     chan bool
}
